LINUX.ORG.RU

проблема с разрешением в иксах.debian6


0

1

помогите пожалуйста настроить иксы.

debian6. только консоль. видеокарта intel(R)82945G.

делал следующее. поставил иксы при помощи aptitude install xorg. запустил через startx

поставились, но разрешение экрана меня не устроило(рабочая область - только небольшой прямоугольник в левом верхнем углу).

(так же сбилось(уменьшилось) разрешение консоли(когда startx еще не вбил). пробовал в /etc/default/grub прописывать другие значения для разрешения, обновляться, перегружаться. изменений нет, по прежнему то же самое разрешение в консоли.)

так понял, что не хватает драивера ati. и пока иксы используют vesa.

иду в лор фак, оттуда сюда

http://wiki.debian.org/ATIProprietary

делаю все как советуют. в результате иксы не запускаются. вот лог:

[   134.915] (II) Module record: vendor="X.Org Foundation"
[   134.916] 	compiled for 1.9.5, module version = 1.13.0
[   134.916] 	Module class: X.Org Server Extension
[   134.916] 	ABI class: X.Org Server Extension, version 4.0
[   134.916] (II) Loading extension RECORD
[   134.916] (II) LoadModule: "dri"
[   134.916] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[   134.916] (II) Module dri: vendor="X.Org Foundation"
[   134.916] 	compiled for 1.9.5, module version = 1.0.0
[   134.916] 	ABI class: X.Org Server Extension, version 4.0
[   134.916] (II) Loading extension XFree86-DRI
[   134.916] (II) LoadModule: "dri2"
[   134.916] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   134.916] (II) Module dri2: vendor="X.Org Foundation"
[   134.916] 	compiled for 1.9.5, module version = 1.2.0
[   134.916] 	ABI class: X.Org Server Extension, version 4.0
[   134.917] (II) Loading extension DRI2
[   134.917] (II) LoadModule: "fglrx"
[   134.917] (WW) Warning, couldn't open module fglrx
[   134.917] (II) UnloadModule: "fglrx"
[   134.917] (EE) Failed to load module "fglrx" (module does not exist, 0)
[   134.917] (EE) No drivers available.
[   134.917] 
Fatal server error:
[   134.917] no screens found
[   134.917] 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[   134.917] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   134.917] 

вот консольное сообщение об ошибке(извиняюсь за форматирование):

startx                                                                                                                                                                                                                                                                                                                                                                                                                                                                    X.Org X Server 1.9.5                                                                                                                                            Release Date: 2011-03-17                                                                                                                                        X Protocol Version 11, Revision 0                                                                                                                               Build Operating System: Linux 2.6.32-5-amd64 i686 Debian                                                                                                        Current Operating System: Linux debian 2.6.32-5-686 #1 SMP Tue Mar 8 21:36:00 UTC 2011 i686                                                                     Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=32ad6f12-e37b-49cb-898a-4c8e94882c71 ro quiet                                              Build Date: 26 March 2011  07:50:38AM                                                                                                                           xorg-server 2:1.9.5-1 (Cyril Brulebois <kibi@debian.org>)                                                                                                       Current version of pixman: 0.16.4                                                                                                                                       Before reporting problems, check http://wiki.x.org                                                                                                              to make sure that you have the latest version.                                                                                                          Markers: (--) probed, (**) from config file, (==) default setting,                                                                                                      (++) from command line, (!!) notice, (II) informational,                                                                                                        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.                                                                                           (==) Log file: "/var/log/Xorg.0.log", Time: Sat Apr 23 16:48:45 2011                                                                                            (==) Using config file: "/etc/X11/xorg.conf"                                                                                                                    (==) Using system config directory "/usr/share/X11/xorg.conf.d"                                                                                                 (EE) Failed to load module "fglrx" (module does not exist, 0)                                                                                                   (EE) No drivers available.     

после этих действий пробовал добавить с /etc/X11/xorg.conf

       SubSection "Display"
          Viewport   0 0
          Depth      24
          Modes      "1024x768" "800x600" "640x480"
       EndSubSection
при этом доступные моей видеокарте разрешения получал grub-овской утилитой vbeinfo.

так же пробовал воспользоваться sgfxi. установил её. но не запускается, содержание сообщения об ошибке не помню...

ps пробовал снести иксы, но разрешение консоли уже не получается поменять поредством правки /etc/default/grub. это совсем непонятно почему...(update-grub делал)

>> видеокарта intel

так понял, что не хватает драивера ati

Вах.

разрешение экрана меня не устроило(рабочая область - только небольшой прямоугольник в левом верхнем углу).

Это ты про окошко xterm штоле?

GotF ★★★★★ ()

> intel(R)82945G.

так понял, что не хватает драивера ati. и пока иксы используют vesa.

(EE) Failed to load module «fglrx»



Устанавливай ubuntu.

tn1 ()
Ответ на: комментарий от cyklop77

Тогда всё правильно. Надо было ещё установить какой-нибудь WM или целое DE.

GotF ★★★★★ ()

Поменяй в /etc/X11/xorg.conf в строке с Driver fglrx на intel, а ещё лучше совсем xorg.conf удали. И поставь какой-нибудь менеджер xdm, kdm, gdm... Ну, или правь /etc/X11/xinit/xinitrc, чтобы у тебя не голый xterm запускался, а какой-нибудь DE, или хотя бы WM.

Lumi ★★★★★ ()
Ответ на: комментарий от aydar

Это не мне, это топикстартеру.
А так не помню, не ставлю метапакетами, много ненужного мусора обычно натягивается.

Lumi ★★★★★ ()
Ответ на: комментарий от GotF

да, зря я этот драйвер ставил. и без него всё работало, доустановил fluxbox только и разрешение подобрал в xorg.conf

при старте иксов fluxbox грузится атоматически, но это я здесь наверное исправлю по совету lumi.

всем спасибо

cyklop77 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.